package tablesFor_test;

import com.ibm.ccl.soa.test.ctnative.runtime.datatable.*;
import com.ibm.ccl.soa.test.ctnative.runtime.event.*;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.*;
import com.ibm.ccl.soa.test.ctnative.runtime.iterator.*;
import java.util.*;

import com.ibm.ccl.soa.test.common.models.value.ValueElement;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.ConstructorOverrides;
import commonj.sdo.DataObject;
import com.ibm.wbit.comptest.controller.manipulator.impl.SDORuntimeManipulator;
import com.ibm.ccl.soa.test.ctnative.runtime.datatable.DataSet;
import com.ibm.wbit.comptest.ctnative.runtime.utils.*;


/**
 *
 * Data Table: TestSuite
 *
 */
@SuppressWarnings("all")
public class TestSuite_DataTable extends DataTable {
  public TestSuite_DataTable(String name) {
      super(name);                                      
  }
  
  
    // Test Case global identifier
    TC_Test_mergePlmContainers tcTest_mergePlmContainers = new TC_Test_mergePlmContainers("test_mergePlmContainers", this);

/**
 *
 * Test Case: test_mergePlmContainers
 *
 */
public class TC_Test_mergePlmContainers extends TestCaseData {
  public TC_Test_mergePlmContainers(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_EmptyModifiedPlmContainer tcEmptyModifiedPlmContainer = new DS_EmptyModifiedPlmContainer("EmptyModifiedPlmContainer", this);
/**
 * 
 * Data Set: EmptyModifiedPlmContainer
 *
 */
public class DS_EmptyModifiedPlmContainer extends DataSet {
   public DS_EmptyModifiedPlmContainer(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public DataObject MergePlmContainersRequest;
    DE_MergePlmContainersRequest deMergePlmContainersRequest = new DE_MergePlmContainersRequest("MergePlmContainersRequest", this);

/**
 * Data Set Row MergePlmContainersRequest
 */
public class DE_MergePlmContainersRequest extends AbstractInputDataEntry {
   public DE_MergePlmContainersRequest(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public DataObject createValue_1252493137234_158226() throws Exception{
SDORuntimeManipulator sdoManip = new SDORuntimeManipulator();ValueElement valModel = getDataSetValue().getValue();MergePlmContainersRequest = (DataObject)sdoManip.createObject(valModel,fieldOverrides,constructorOverrides,this.getClass().getClassLoader());sdoManip.setObjectFromValueElement(MergePlmContainersRequest,valModel,fieldOverrides,constructorOverrides,this.getClass().getClassLoader());return MergePlmContainersRequest;
}

   
   public Object getValue() throws Exception
   {
      return MergePlmContainersRequest;

   }
   
   public void initValue() throws Exception
   {
         MergePlmContainersRequest = createValue_1252493137234_158226();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public DataObject MergePlmContainersResponse;
    DE_MergePlmContainersResponse deMergePlmContainersResponse = new DE_MergePlmContainersResponse("MergePlmContainersResponse", this);

/**
 * Data Set Row MergePlmContainersResponse
 */
public class DE_MergePlmContainersResponse extends AbstractOutputDataEntry {
   public DE_MergePlmContainersResponse(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return MergePlmContainersResponse;

   }
   
   public void setValue(Object value) throws Exception
   {
      MergePlmContainersResponse = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}

    public DataObject mergePlmContainers_exception_PlmContainersFaultMessage;
    DE_MergePlmContainers_exception_PlmContainersFaultMessage deMergePlmContainers_exception_PlmContainersFaultMessage = new DE_MergePlmContainers_exception_PlmContainersFaultMessage("mergePlmContainers_exception_PlmContainersFaultMessage", this);

/**
 * Data Set Row mergePlmContainers_exception_PlmContainersFaultMessage
 */
public class DE_MergePlmContainers_exception_PlmContainersFaultMessage extends AbstractOutputDataEntry {
   public DE_MergePlmContainers_exception_PlmContainersFaultMessage(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return mergePlmContainers_exception_PlmContainersFaultMessage;

   }
   
   public void setValue(Object value) throws Exception
   {
      mergePlmContainers_exception_PlmContainersFaultMessage = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
    // Data Set global identifier
    DS_NullPlmContainers tcNullPlmContainers = new DS_NullPlmContainers("NullPlmContainers", this);
/**
 * 
 * Data Set: NullPlmContainers
 *
 */
public class DS_NullPlmContainers extends DataSet {
   public DS_NullPlmContainers(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public DataObject MergePlmContainersRequest;
    DE_MergePlmContainersRequest deMergePlmContainersRequest = new DE_MergePlmContainersRequest("MergePlmContainersRequest", this);

/**
 * Data Set Row MergePlmContainersRequest
 */
public class DE_MergePlmContainersRequest extends AbstractInputDataEntry {
   public DE_MergePlmContainersRequest(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public DataObject createValue_1252494871843_179327() throws Exception{
SDORuntimeManipulator sdoManip = new SDORuntimeManipulator();ValueElement valModel = getDataSetValue().getValue();MergePlmContainersRequest = (DataObject)sdoManip.createObject(valModel,fieldOverrides,constructorOverrides,this.getClass().getClassLoader());sdoManip.setObjectFromValueElement(MergePlmContainersRequest,valModel,fieldOverrides,constructorOverrides,this.getClass().getClassLoader());return MergePlmContainersRequest;
}

   
   public Object getValue() throws Exception
   {
      return MergePlmContainersRequest;

   }
   
   public void initValue() throws Exception
   {
         MergePlmContainersRequest = createValue_1252494871843_179327();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public DataObject MergePlmContainersResponse;
    DE_MergePlmContainersResponse deMergePlmContainersResponse = new DE_MergePlmContainersResponse("MergePlmContainersResponse", this);

/**
 * Data Set Row MergePlmContainersResponse
 */
public class DE_MergePlmContainersResponse extends AbstractOutputDataEntry {
   public DE_MergePlmContainersResponse(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return MergePlmContainersResponse;

   }
   
   public void setValue(Object value) throws Exception
   {
      MergePlmContainersResponse = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}

    public DataObject mergePlmContainers_exception_PlmContainersFaultMessage;
    DE_MergePlmContainers_exception_PlmContainersFaultMessage deMergePlmContainers_exception_PlmContainersFaultMessage = new DE_MergePlmContainers_exception_PlmContainersFaultMessage("mergePlmContainers_exception_PlmContainersFaultMessage", this);

/**
 * Data Set Row mergePlmContainers_exception_PlmContainersFaultMessage
 */
public class DE_MergePlmContainers_exception_PlmContainersFaultMessage extends AbstractOutputDataEntry {
   public DE_MergePlmContainers_exception_PlmContainersFaultMessage(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return mergePlmContainers_exception_PlmContainersFaultMessage;

   }
   
   public void setValue(Object value) throws Exception
   {
      mergePlmContainers_exception_PlmContainersFaultMessage = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
    // Data Set global identifier
    DS_MergeItem tcMergeItem = new DS_MergeItem("MergeItem", this);
/**
 * 
 * Data Set: MergeItem
 *
 */
public class DS_MergeItem extends DataSet {
   public DS_MergeItem(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public DataObject MergePlmContainersRequest;
    DE_MergePlmContainersRequest deMergePlmContainersRequest = new DE_MergePlmContainersRequest("MergePlmContainersRequest", this);

/**
 * Data Set Row MergePlmContainersRequest
 */
public class DE_MergePlmContainersRequest extends AbstractInputDataEntry {
   public DE_MergePlmContainersRequest(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public DataObject createValue_1252496354250_209318() throws Exception{
SDORuntimeManipulator sdoManip = new SDORuntimeManipulator();ValueElement valModel = getDataSetValue().getValue();MergePlmContainersRequest = (DataObject)sdoManip.createObject(valModel,fieldOverrides,constructorOverrides,this.getClass().getClassLoader());sdoManip.setObjectFromValueElement(MergePlmContainersRequest,valModel,fieldOverrides,constructorOverrides,this.getClass().getClassLoader());return MergePlmContainersRequest;
}

   
   public Object getValue() throws Exception
   {
      return MergePlmContainersRequest;

   }
   
   public void initValue() throws Exception
   {
         MergePlmContainersRequest = createValue_1252496354250_209318();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public DataObject MergePlmContainersResponse;
    DE_MergePlmContainersResponse deMergePlmContainersResponse = new DE_MergePlmContainersResponse("MergePlmContainersResponse", this);

/**
 * Data Set Row MergePlmContainersResponse
 */
public class DE_MergePlmContainersResponse extends AbstractOutputDataEntry {
   public DE_MergePlmContainersResponse(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return MergePlmContainersResponse;

   }
   
   public void setValue(Object value) throws Exception
   {
      MergePlmContainersResponse = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}

    public DataObject mergePlmContainers_exception_PlmContainersFaultMessage;
    DE_MergePlmContainers_exception_PlmContainersFaultMessage deMergePlmContainers_exception_PlmContainersFaultMessage = new DE_MergePlmContainers_exception_PlmContainersFaultMessage("mergePlmContainers_exception_PlmContainersFaultMessage", this);

/**
 * Data Set Row mergePlmContainers_exception_PlmContainersFaultMessage
 */
public class DE_MergePlmContainers_exception_PlmContainersFaultMessage extends AbstractOutputDataEntry {
   public DE_MergePlmContainers_exception_PlmContainersFaultMessage(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return mergePlmContainers_exception_PlmContainersFaultMessage;

   }
   
   public void setValue(Object value) throws Exception
   {
      mergePlmContainers_exception_PlmContainersFaultMessage = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
}